Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Required scope: read_settings (for API-key authentication).
read_settings
JavaScript
import { createAdminClient } from '@spree/admin-sdk' const client = createAdminClient({ baseUrl: 'https://your-store.com', secretKey: 'sk_xxx', }) const staff = await client.adminUsers.get('admin_xxx')
spree api get /admin_users/{id}
{ "id": "admin_UkLWZg9DAJ", "email": "marianne@brakusblick.com", "first_name": "Adele", "last_name": "Homenick", "full_name": "Adele Homenick", "selected_locale": null, "created_at": "2026-07-26T14:24:05.929Z", "updated_at": "2026-07-26T14:24:05.929Z", "avatar_url": null, "roles": [ { "id": "role_UkLWZg9DAJ", "name": "admin" } ], "stores": [ { "id": "store_UkLWZg9DAJ", "name": "Spree Test Store", "code": "spree_1" } ] }
Secret API key for admin access
JWT token for admin user authentication
staff member found
Was this page helpful?
Contact support